Qyra
ReferenceOrganization Warehouse Credentials

List warehouse credentials

Get all warehouse credentials for the current organization

GET/api/v1/org/warehouse-credentials

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Query parameters

NameTypeRequiredDescription
summarybooleanNoIf true, returns only summaries (name, type) accessible to all members. If false/undefined, returns full credentials requiring manage permission.

Responses

200 — Ok

{
  "results": [
    {
      "credentials": {
        "type": "snowflake",
        "account": "string",
        "requireUserCredentials": true,
        "authenticationType": "password",
        "role": "string",
        "database": "string",
        "warehouse": "string",
        "schema": "string",
        "threads": 0,
        "clientSessionKeepAlive": true,
        "queryTag": "string",
        "accessUrl": "string",
        "startOfWeek": {},
        "dataTimezone": "string",
        "quotedIdentifiersIgnoreCase": true,
        "disableTimestampConversion": true,
        "timeoutSeconds": 0,
        "override": true,
        "organizationWarehouseCredentialsUuid": "string"
      },
      "createdByUserUuid": "string",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "warehouseType": "bigquery",
      "description": "string",
      "name": "string",
      "organizationUuid": "string",
      "organizationWarehouseCredentialsUuid": "string"
    }
  ],
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}